#### D.2.10.9 sparseHomogIdeal

Procedure from library `random.lib` (see random_lib).

Usage:
  sparseid(k,u[,o,p,b]); k,u,o,p,b integers

Return:
  ideal having k homogeneous generators, each of random degree in the interval [u,o], p percent of terms in degree d are 0, the remaining have random coefficients in the interval [1,b], (default: o=u, p=75, b=30000)

Example:

    LIB "random.lib";
    ring r = 0,(a,b,c,d),dp;
    sparseHomogIdeal(2,3);"";
    ==> _[1]=24004a3+12773a2b+6204a2c+20030b2c+19505bcd
    ==> _[2]=817b3+9650c3+28857c2d+7247bd2+22567cd2
    ==>
    sparseHomogIdeal(3,0,4,90,9);
    ==> _[1]=5d
    ==> _[2]=abc2+4ab2d+c3d+c2d2
    ==> _[3]=3a

User manual for Singular version 4.4.1, 2025, generated by texi2html.